> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Metadata taxonomies resources

A metadata taxonomy is a hierarchical classification system that helps organize and manage metadata within an enterprise.

## Metadata taxonomies

A list of metadata taxonomies.

<Accordion title="Attributes and example">
  | Property      | Type                                             | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                        | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                         | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                         | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Metadata taxonomy](#metadata-taxonomy) | No       | A list of metadata taxonomies.                                                                                                                                                         |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "822227e0-47a5-921b-88a8-494760b2e6d2",
        "key": "geography",
        "displayName": "Geography",
        "namespace": "enterprise_123456",
        "levels": [
          {
            "displayName": "Continent",
            "description": "Continent",
            "level": 1
          }
        ]
      }
    ]
  }
  ```
</Accordion>

## Metadata taxonomy

A taxonomy object for metadata that can be used in metadata templates.

<Accordion title="Attributes and example">
  | Property      | Type                                                         | Required | Description                                                                                                           |
  | ------------- | ------------------------------------------------------------ | -------- | --------------------------------------------------------------------------------------------------------------------- |
  | `id`          | `string`                                                     | Yes      | A unique identifier of the metadata taxonomy.                                                                         |
  | `key`         | `string`                                                     | No       | A unique identifier of the metadata taxonomy. The identifier must be unique within the namespace to which it belongs. |
  | `displayName` | `string`                                                     | Yes      | The display name of the metadata taxonomy. This can be seen in the Box web app.                                       |
  | `namespace`   | `string`                                                     | Yes      | A namespace that the metadata taxonomy is associated with.                                                            |
  | `levels`      | array of [Metadata taxonomy level](#metadata-taxonomy-level) | No       | Levels of the metadata taxonomy.                                                                                      |

  ```json Example theme={null}
  {
    "id": "822227e0-47a5-921b-88a8-494760b2e6d2",
    "key": "geography",
    "displayName": "Geography",
    "namespace": "enterprise_123456",
    "levels": [
      {
        "displayName": "Continent",
        "description": "Continent",
        "level": 1
      }
    ]
  }
  ```
</Accordion>

## Metadata taxonomy level

A level in the metadata taxonomy represents a hierarchical category within the taxonomy structure.

<Accordion title="Attributes and example">
  | Property      | Type      | Required | Description                                                                    |
  | ------------- | --------- | -------- | ------------------------------------------------------------------------------ |
  | `displayName` | `string`  | No       | The display name of the level as it is shown to the user.                      |
  | `description` | `string`  | No       | A description of the level.                                                    |
  | `level`       | `integer` | No       | An index of the level within the taxonomy. Levels are indexed starting from 1. |

  ```json Example theme={null}
  {
    "displayName": "Continent",
    "description": "Continent",
    "level": 1
  }
  ```
</Accordion>

## Metadata taxonomy levels

Levels in the metadata taxonomy represent hierarchical categories within the taxonomy structure.

<Accordion title="Attributes and example">
  | Property  | Type                                                         | Required | Description                      |
  | --------- | ------------------------------------------------------------ | -------- | -------------------------------- |
  | `entries` | array of [Metadata taxonomy level](#metadata-taxonomy-level) | No       | An array of all taxonomy levels. |

  ```json Example theme={null}
  {
    "entries": [
      {
        "displayName": "Continent",
        "description": "Continent",
        "level": 1
      }
    ]
  }
  ```
</Accordion>

## Metadata taxonomy node

A node object for metadata taxonomy that can be used in metadata templates.

<Accordion title="Attributes and example">
  | Property      | Type                                  | Required | Description                                                                        |
  | ------------- | ------------------------------------- | -------- | ---------------------------------------------------------------------------------- |
  | `id`          | `string`                              | Yes      | A unique identifier of the metadata taxonomy node.                                 |
  | `displayName` | `string`                              | Yes      | The display name of the metadata taxonomy node.                                    |
  | `level`       | `integer`                             | Yes      | An index of the level to which the node belongs.                                   |
  | `parentId`    | `string`                              | No       | The identifier of the parent node.                                                 |
  | `nodePath`    | array of `string`                     | No       | An array of identifiers for all ancestor nodes. Not returned for root-level nodes. |
  | `ancestors`   | array of `Metadata taxonomy ancestor` | No       | An array of objects for all ancestor nodes. Not returned for root-level nodes.     |

  ```json Example theme={null}
  {
    "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
    "displayName": "France",
    "level": 2,
    "parentId": "99df4513-7102-4896-8228-94635ee9d330",
    "nodePath": [
      "99df4513-7102-4896-8228-94635ee9d330"
    ],
    "ancestors": [
      {
        "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
        "displayName": "France",
        "level": 2
      }
    ]
  }
  ```
</Accordion>

## Metadata taxonomy nodes

A list of metadata taxonomy nodes.

<Accordion title="Attributes and example">
  | Property      | Type                                                       | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                  | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                   | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                   | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Metadata taxonomy node](#metadata-taxonomy-node) | No       | A list of metadata taxonomy nodes.                                                                                                                                                     |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
        "displayName": "France",
        "level": 2,
        "parentId": "99df4513-7102-4896-8228-94635ee9d330",
        "nodePath": [
          "99df4513-7102-4896-8228-94635ee9d330"
        ],
        "ancestors": [
          {
            "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
            "displayName": "France",
            "level": 2
          }
        ]
      }
    ]
  }
  ```
</Accordion>
